package jetbrains.sample.patternProcessor;

import jetbrains.buildServer.notification.TemplateMessageBuilder;
import jetbrains.buildServer.notification.TemplatePatternProcessor;
import jetbrains.buildServer.serverSide.SRunningBuild;
import jetbrains.buildServer.serverSide.SBuildType;
import org.jetbrains.annotations.Nullable;

public class SamplePatternProcessor implements TemplatePatternProcessor {
    private final TemplateMessageBuilder myBuilder;

    public SamplePatternProcessor(TemplateMessageBuilder builder) {

        myBuilder = builder;
    }
    
    public void register(){
        myBuilder.setPatternProcessor("{sample}", this);        
    }

    @Nullable
    public String process(SRunningBuild sRunningBuild) {
        return "Build " + sRunningBuild.getBuildId();
    }

    @Nullable
    public String process(SBuildType sBuildType) {
        return "Configuration " + sBuildType.getBuildTypeId();
    }
}
