package jetbrains.sample.statistics;

import jetbrains.buildServer.serverSide.statistics.build.BuildValueFilter;
import org.jetbrains.annotations.NonNls;

import java.util.*;


public class SampleBuildValueFilter extends BuildValueFilter {
    
    private Set<String> mySelectedUsers = new HashSet<String>();
    private Set<String> myAvailableUsers = Collections.EMPTY_SET;

    public SampleBuildValueFilter(Map<String, String[]> values) {
        super(values);
        updateUserNames(values);
    }

    private void updateUserNames(Map<String, String[]> values) {
        mySelectedUsers.clear();
        String[] userNames = values.get("@filter.users");
        if (userNames != null) {
            mySelectedUsers.addAll(Arrays.asList(userNames));
        }
    }

    public Set<String> getSelectedUsers() {
        return mySelectedUsers;
    }

    public Set<String> getAvailableUsers() {
        return myAvailableUsers;
    }
    
    public void setSelectedUsers(Set<String> mySelectedUsers) {
        this.mySelectedUsers = mySelectedUsers;
    }

    public void update(@NonNls Map<String, String[]> params) {
        super.update(params);
        updateUserNames(params);
    }

    public void setAvailableUsers(Set<String> myAvailableUsers) {
        this.myAvailableUsers = myAvailableUsers;
    }
}
